import { Component, ViewContainerRef } from '@angular/core';
import { LazyDialogComponent } from './lazy.dialog';

import { MdDialog } from '@angular/material';
@Component({
    templateUrl: 'lazy.component.html'
})
export class LazyComponent {
    items: string[] = ['1', '2', '3', '4', '5'];

    constructor(private dialog: MdDialog, private viewContainerRef: ViewContainerRef) { }
    open(): void {
        this.dialog.open(LazyDialogComponent, { disableClose: false, viewContainerRef: this.viewContainerRef });
    }
}
